Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Interface ISearchRequest

All Known Subinterfaces:
  IPortalSearchRequest

public interface ISearchRequest

Superinterface of `IPortalSearchRequest` and possibly other search requests, such as Collab.

Method Summary
`ISearchResponse` | `execute()` Executes the Search Request.
`void` | `setQuery(IFilterClause filterClause)` Set the query associated with this request.
`void` | `setQuery(java.lang.String queryString)` Set the query associated with this request.
`void` | `setQuery(java.lang.String queryString, IFilterClause filterClause)` Set the query associated with this request.

Method Detail

### setQuery

    public void setQuery(java.lang.String queryString)

  Set the query associated with this request. The search string is a case-insensitive collection of terms and operators which documents must match in order to be returned from search. For example, a search for 'dog cat' would return documents containing 'dog', 'cat', or both. If double quotes are present, as in '"dog cat"', the phrase 'dog cat' must be present. Note that at least three characters must be present between wildcard characters: *ad* is invalid. Note that and, or, not, and near are considered operators in the search string, rather than terms. Note that when they appear in quoted strings, and, or, not, and near are treated as search terms. See search syntax for more examples. Note: this overrides any query previously set by a call to any version of `setQuery()`.

  Parameters:
    `queryString` - `String` to search

### setQuery

    public void setQuery(IFilterClause filterClause)

  Set the query associated with this request. Some services may not be able to handle a complex filter clause, others will throw an exception if the clause is too complex. Note: this overrides any query previously set by a call to any version of `setQuery()`.

  Parameters:
    `filterClause` - Filter Clause created from `ISearchFactory`
  Throws:
    `java.lang.IllegalStateException` - if used in conjunction with particular attributes in subinterfaces

### setQuery

    public void setQuery(java.lang.String queryString,
                         IFilterClause filterClause)

  Set the query associated with this request. The returned `ISearchResponse` will match both the query string and the filter clause. The search string is a case-insensitive collection of terms and operators which documents must match in order to be returned from search. For example, a search for 'dog cat' would return documents containing 'dog', 'cat', or both. If double quotes are present, as in '"dog cat"', the phrase 'dog cat' must be present. Note that at least three characters must be present between wildcard characters: *ad* is invalid. Note that and, or, not, and near are considered operators in the search string, rather than terms. Note that when they appear in quoted strings, and, or, not, and near are treated as search terms. See search syntax for more examples. Note: this overrides any query previously set by a call to any version of setQuery().

  Parameters:
    `queryString` - `String` to search
    `filterClause` - Filter Clause created from `ISearchFactory`
  Throws:
    `java.lang.IllegalStateException` - if used in conjunction with particular attributes in subinterfaces

### execute

    public ISearchResponse execute()
                            throws SearchException,
                                   java.rmi.RemoteException

  Executes the Search Request.

  Returns:
    `ISearchResponse`
  Throws:
    `SearchException` - if a there is an error connecting to the search server, or an error occurred when executing the search on the search server
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call
    `java.lang.IllegalStateException` - if the query has not been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.